Bug 621518 - [abrt] crash in gajim-0.13.4-1.fc13: groupchat_control.py:1841:handle_message_textview_mykey_press:ValueError: list.remove(x): x not in list
[abrt] crash in gajim-0.13.4-1.fc13: groupchat_control.py:1841:handle_message...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gajim (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Michal Schmidt
Fedora Extras Quality Assurance
http://trac.gajim.org/ticket/5833
abrt_hash:e013addd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-05 06:45 EDT by Tobias Mueller
Modified: 2010-09-15 18:30 EDT (History)
1 user (show)

See Also:
Fixed In Version: gajim-0.14-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-15 18:30:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (1.11 KB, text/plain)
2010-08-05 06:45 EDT, Tobias Mueller
no flags Details

  None (edit)
Description Tobias Mueller 2010-08-05 06:45:53 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python -OO gajim.py
comment: I don't think this is reliably reproducible.
component: gajim
executable: /usr/share/gajim/src/gajim.py
kernel: 2.6.33.6-147.2.4.fc13.x86_64
package: gajim-0.13.4-1.fc13
reason: groupchat_control.py:1841:handle_message_textview_mykey_press:ValueError: list.remove(x): x not in list
release: Fedora release 13 (Goddard)

backtrace
-----
groupchat_control.py:1841:handle_message_textview_mykey_press:ValueError: list.remove(x): x not in list

Traceback (most recent call last):
  File "/usr/share/gajim/src/chat_control.py", line 656, in _on_message_textview_mykeypress_event
    event_keymod)
  File "/usr/share/gajim/src/groupchat_control.py", line 1841, in handle_message_textview_mykey_press
    list_nick.remove(self.nick) # Skip self
ValueError: list.remove(x): x not in list

Local variables in innermost frame:
event_keyval: 65289
begin: ''
list_nick: []
text: u''
self: <groupchat_control.GroupchatControl object at 0x4179050>
cursor_position: <gtk.TextMark object at 0x433e050 (GtkTextMark at 0x438df80)>
widget: <MessageTextView object at 0x432c050 (message_textview+MessageTextView at 0x42f3220)>
with_refer_to_nick_char: False
message_buffer: <gtk.TextBuffer object at 0x433e0f0 (GtkTextBuffer at 0x43c0100)>
gc_refer_to_nick_char: u':'
after_nick_len: 1
end_iter: <GtkTextIter at 0x31dac50>
splitted_text: []
start_iter: <GtkTextIter at 0x39a1720>
event_keymod: <flags 0 of type GdkModifierType>
event: <gtk.gdk.Event at 0x41660f8: GDK_KEY_PRESS keyval=Tab>

How to reproduce
-----
1. I started gajim
2. It asked for the passphrase for gpg key, don't know whether this is related though
3. and it automatically joined a groupchat
Comment 1 Tobias Mueller 2010-08-05 06:45:56 EDT
Created attachment 436805 [details]
File: backtrace
Comment 2 Michal Schmidt 2010-08-05 08:54:09 EDT
The log tells me you pressed Tab at just the right moment when the groupchat window was already open, but the list of participants did not include yourself yet.

I was able to reproduce it by manually joining a groupchat and pressing Tab a fraction of a second later. And it is reproducible in latest upstream hg 'tip' too.
Comment 3 Michal Schmidt 2010-08-05 09:03:33 EDT
I have reported it upstream: http://trac.gajim.org/ticket/5833
Comment 4 Fedora Update System 2010-09-06 16:10:29 EDT
gajim-0.14-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/gajim-0.14-1.fc13
Comment 5 Fedora Update System 2010-09-07 22:18:40 EDT
gajim-0.14-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gajim'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/gajim-0.14-1.fc13
Comment 6 Fedora Update System 2010-09-15 18:30:33 EDT
gajim-0.14-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.